# Betty Fixer

Betty Fixer is a tool designed to automatically fix coding style issues in C files based on the Betty coding style guidelines. It performs corrections to ensure that the code complies with the Betty style, making it more readable and consistent.

## Features

- **Betty Style Fixes**: Automatically corrects coding style issues following the Betty style guidelines.
- **Vi Script Execution**: Runs a Vi script for each fixed file, making it convenient for developers to review and further modify the code.

## Prerequisites

Before using Betty Fixer, ensure you have the following installed:

- [Betty](https://github.com/holbertonschool/Betty) - The Betty linter for C code.
- [Vi Editor](https://www.vim.org/) - The Vi editor for script execution.

## Getting Started

1. Clone the repository:

    ```bash
    git clone https://github.com/Moealsir/betty_fixer.git
    cd betty_fixer
    ```
2. Run install script:

    ```bash
    sudo ./install.sh
    ```

3. Run Betty Fixer on your C files:

    ```bash
    fix file1.c file2.c ...
    ```

## Contributing

If you'd like to contribute to Betty Fixer, please follow these steps:

1. Fork the repository.
2. Create a new branch for your feature or bug fix.
3. Make your changes and ensure the code style follows the project conventions.
4. Test your changes thoroughly.
5. Create a pull request with a clear description of your changes.


Happy coding!



### Creaters: [@Moealsir](https://github.com/Moealsir) && [@malazmuzamil98](https://github.com/malazmuzamil98)

## some notes
### 1- install :
    $ python3 setup.py sdist bdist_wheel
    $ pip install .
### 2- uninstall :
    $ pip uninstall bettyfixer
    $ rm -r bettyfixer.egg-info build dist
### 3- publish it on pypi
#### A- Create a PyPI Account    
#### B- Upload it to PyPI throw `twine` package
    $ pip install twine
    $ python setup.py sdist bdist_wheel
    $ twine upload dist


